# Examples: Tutorials, WorkShop Materials & Use-Cases

## Tutorials

- [tutorials/**demo-vipsession**.ipynb](tutorials/demo-vipsession.ipynb) : Notebook showing basic use of `VipSession`.
- [tutorials/**demo-multiple-sessions**.py](tutorials/demo-multiple-sessions.py) : Python script optimizing the use of several `VipSession` instances on the same dataset.

## Workshop Materials

- **[MICCAI 2023]** [repro-brats/](repro-brats/): Notebooks for studying the reproducibility of a tumor segmentation pipeline.

## Use Cases

- [bruker_preprocessing/](./bruker_preprocessing/): Preprocessing pipeline for use in the Pilot platform (CREATIS lab).
- [freesurfer](freesurfer/): Freesurfer execution from command-line (contains a Git submodule).

## Submodules

To init the Git submodules, run:
```
git submodule update --init --recursive
```

---